ghc-7.0.3: The GHC API

BufWrite

# Documentation

data BufHandle Source

Constructors

BufHandle !(Ptr Word8) !FastMutInt Handle |

newBufHandle :: Handle -> IO BufHandle Source

bPutChar :: BufHandle -> Char -> IO ()Source

bPutStr :: BufHandle -> String -> IO ()Source

bPutFS :: BufHandle -> FastString -> IO ()Source

bPutLitString :: BufHandle -> LitString -> FastInt -> IO ()Source

bFlush :: BufHandle -> IO ()Source